const system = require("../../../system");
const Dao = require("../../dao.base");
class SaasmerchantaddrDao extends Dao {
  constructor() {
    super(Dao.getModelName(SaasmerchantaddrDao));
  }
  /**
   * 根据 saas_merchant_id 查询地址
   * @param {*} id 
   */
  async getAllByMerchantId(id){
    let sql = `select * from saas_merchant_addr where saas_merchant_id = :saas_merchant_id`;
    return await this.customQuery(sql, {saas_merchant_id:id});
  }

 
}
module.exports = SaasmerchantaddrDao;
